--- title: "Edit attribute mapper" slug: "modify-attribute-mapeer" updated: 2026-09-17T10:05:38Z published: 2026-09-17T10:05:38Z canonical: "api.ncloud-docs.com/modify-attribute-mapeer" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # Edit attribute mapper Available in Classic and VPC Edit an attribute mapper. Note For information on how to connect user attribute information from the Ncloud Single Sign-On service with user attribute information set in other services such as AWS and OneLogin, see the Ncloud Single Sign-On user guide. - [Manage user profile](https://guide.ncloud-docs.com/docs/en/sso-tenant#%EC%82%AC%EC%9A%A9%EC%9E%90-profile-%EA%B4%80%EB%A6%AC) - How to set attribute mapper by service - [AWS](https://guide.ncloud-docs.com/docs/en/sso-aws) - [OneLogin](https://guide.ncloud-docs.com/docs/en/sso-onelogin) - [Okta](https://guide.ncloud-docs.com/docs/en/sso-okta) - [Keycloak](https://guide.ncloud-docs.com/docs/en/sso-keycloak) - [Microsoft Entra ID](https://guide.ncloud-docs.com/docs/en/sso-entraid) ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | POST | /api/v1/tenant/saml-idp/profile-mapping | ### Request headers For information about the headers common to all Ncloud Single Sign-On APIs, see [Ncloud Single Sign-On request headers](/docs/en/single-sign-on-overview#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request body You can include the following data in the body of your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `firstName` | Object | Required | Name information | | `firstName.syncMode` | String | Required | Attribute information update policy - `none` \| `import` \| `force` - `none`: no update - `import`: update only upon initial login - `force`: update on each login | | `firstName.idpValue` | String | Required | Attribute (AttributeName) to be passed to the Single Sign-On service of NAVER Cloud Platform - 0-200 characters - If there is no attribute to be passed, set it to an empty string `""` | | `lastName` | Object | Required | Last name information | | `lastName.syncMode` | String | Required | Attribute information update policy - `none` \| `import` \| `force` - `none`: no update - `import`: update only upon initial login - `force`: update on each login | | `lastName.idpValue` | String | Required | Attribute (AttributeName) to be passed to the Single Sign-On service of NAVER Cloud Platform - 0-200 characters - If there is no attribute to be passed, set it to an empty string `""` | | `email` | Object | Required | Email information | | `email.syncMode` | String | Required | Attribute information update policy - `none` \| `import` \| `force` - `none`: no update - `import`: update only upon initial login - `force`: update on each login | | `email.idpValue` | String | Required | Attribute (AttributeName) to be passed to the Single Sign-On service of NAVER Cloud Platform - 0-200 characters - If there is no attribute to be passed, set it to an empty string `""` | | `emailVerified` | Object | Required | Email verification information | | `emailVerified.syncMode` | String | Required | Attribute information update policy - `none` \| `import` \| `force` - `none`: no update - `import`: update only upon initial login - `force`: update on each login | | `emailVerified.idpValue` | String | Required | Attribute (AttributeName) to be passed to the Single Sign-On service of NAVER Cloud Platform - 0-200 characters - If there is no attribute to be passed, set it to an empty string `""` | | `empNo` | Object | Required | Employee number information | | `empNo.syncMode` | String | Required | Attribute information update policy - `none` \| `import` \| `force` - `none`: no update - `import`: update only upon initial login - `force`: update on each login | | `empNo.idpValue` | String | Required | Attribute (AttributeName) to be passed to the Single Sign-On service of NAVER Cloud Platform - 0-200 characters - If there is no attribute to be passed, set it to an empty string `""` | | `phoneNo` | Object | Required | Mobile phone number information | | `phoneNo.syncMode` | String | Required | Attribute information update policy - `none` \| `import` \| `force` - `none`: no update - `import`: update only upon initial login - `force`: update on each login | | `phoneNo.idpValue` | String | Required | Attribute (AttributeName) to be passed to the Single Sign-On service of NAVER Cloud Platform - 0-200 characters - If there is no attribute to be passed, set it to an empty string `""` | | `phoneNoVerified` | Object | Required | Mobile phone number verification information | | `phoneNoVerified.syncMode` | String | Required | Attribute information update policy - `none` \| `import` \| `force` - `none`: no update - `import`: update only upon initial login - `force`: update on each login | | `phoneNoVerified.idpValue` | String | Required | Attribute (AttributeName) to be passed to the Single Sign-On service of NAVER Cloud Platform - 0-200 characters - If there is no attribute to be passed, set it to an empty string `""` | | `phoneCountryCode` | Object | Required | Country code information | | `phoneCountryCode.syncMode` | String | Required | Attribute information update policy - `none` \| `import` \| `force` - `none`: no update - `import`: update only upon initial login - `force`: update on each login | | `phoneCountryCode.idpValue` | String | Required | Attribute (AttributeName) to be passed to the Single Sign-On service of NAVER Cloud Platform - 0-200 characters - If there is no attribute to be passed, set it to an empty string `""` | | `deptName` | Object | Required | Department Information | | `deptName.syncMode` | String | Required | Attribute information update policy - `none` \| `import` \| `force` - `none`: no update - `import`: update only upon initial login - `force`: update on each login | | `deptName.idpValue` | String | Required | Attribute (AttributeName) to be passed to the Single Sign-On service of NAVER Cloud Platform - 0-200 characters - If there is no attribute to be passed, set it to an empty string `""` | ### Request example The request example is as follows: ``` curl --location --request POST 'https://sso.apigw.ntruss.com/api/v1/tenant/saml-idp/profile-mapping' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' \ --data '{ "firstName": { "syncMode": "force", "idpValue": "${user:givenName}" }, "lastName": { "syncMode": "import", "idpValue": "${user:familyName}" }, "email": { "syncMode": "import", "idpValue": "${user:email}" }, "emailVerified": { "syncMode": "import", "idpValue": "" }, "empNo": { "syncMode": "import", "idpValue": "" }, "phoneNo": { "syncMode": "import", "idpValue": "" }, "phoneNoVerified": { "syncMode": "import", "idpValue": "" }, "phoneCountryCode": { "syncMode": "import", "idpValue": "" }, "deptName": { "syncMode": "import", "idpValue": "" } }' ``` ## Response This section describes the response format. ### Response body The response body includes the following data: | Field | Type | Required | Description | | --- | --- | --- | --- | | `success` | Boolean | - | API processing result | ### Response status codes For information about the response status codes common to all Ncloud Single Sign-On APIs, see [Ncloud Single Sign-On response status codes](/docs/en/single-sign-on-overview#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` { "success": true } ```